[PATCH] tests: reload correct regdb if possible/needed
Johannes Berg
johannes at sipsolutions.net
Wed May 11 06:09:06 PDT 2022
From: Johannes Berg <johannes.berg at intel.com>
If cfg80211 is built into the kernel, then it may/will have
loaded the regdb before we mount our own /lib/firmware. This
may result in using the wrong regulatory data. Fix this by
using iw to reload the regdb after mounting it.
Fixes: a29c2399a77a ("tests: Add regulatory database to VMs")
Signed-off-by: Johannes Berg <johannes.berg at intel.com>
---
tests/hwsim/vm/inside.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/tests/hwsim/vm/inside.sh b/tests/hwsim/vm/inside.sh
index c46c52477539..3fe37a6fddb5 100755
--- a/tests/hwsim/vm/inside.sh
+++ b/tests/hwsim/vm/inside.sh
@@ -45,6 +45,9 @@ fi
mount --bind "$TESTDIR/vm/regdb/" /lib/firmware
+# reload reg if (and only if) cfg80211.ko is already loaded
+iw reg reload || true
+
# create /dev entries we need
mknod -m 660 /dev/ttyS0 c 4 64
mknod -m 666 /dev/ptmx c 5 2
--
2.35.3
More information about the Hostap
mailing list